Obtener contacto por ID
curl --request GET \
--url https://api.fint.app/api/v1/contact/:contactId \
--header 'x-api-key: <api-key>'import requests
url = "https://api.fint.app/api/v1/contact/:contactId"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.fint.app/api/v1/contact/:contactId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"lastName": "<string>",
"createdAt": "<string>",
"documentType": "DNI",
"documentNumber": "<string>",
"address": "<string>",
"country": "<string>",
"birthDate": "<string>",
"age": 123,
"phoneNumber": "<string>",
"mobileNumber": "<string>",
"email": "jsmith@example.com",
"hasSiblings": true,
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>",
"group": true,
"parent": {
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>"
}
}
],
"active": true,
"activeStatus": {
"id": 123,
"name": "<string>",
"active": true
},
"reminderEnable": true,
"status": "ACCOUNT_OPENED",
"metadata": {},
"externalReference": "<string>",
"hash": "<string>",
"hasActiveSubscriptions": true,
"siblings": [
{
"id": 123,
"name": "<string>",
"lastName": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>",
"group": true,
"parent": {
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>"
}
}
]
}
],
"familyMembers": [
{
"id": 123,
"type": "<string>",
"notify": true,
"name": "<string>",
"lastName": "<string>",
"hash": "<string>",
"documentType": "DNI",
"documentNumber": "<string>",
"address": "<string>",
"city": "<string>",
"province": "<string>",
"phoneNumber": "<string>",
"whatsappNumber": "<string>",
"email": "<string>",
"portalUrl": "<string>",
"condicionImpositiva": "MONOTRIBUTO"
}
],
"items": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"status": "active",
"type": "credit",
"frequencyType": "one_time",
"startDate": "<string>",
"useCase": "subscription",
"isIndefinite": true,
"condition": "all",
"amountType": "fixed",
"conditionItems": [
{
"id": 123,
"name": "<string>",
"amount": "<string>",
"description": "<string>",
"status": "active",
"type": "credit",
"frequencyType": "one_time",
"startDate": "<string>",
"collectionCycles": 1
}
],
"originalAmount": "<string>",
"imageUrl": "<string>",
"collectionCycles": 1,
"generateInterestForLatePayment": false,
"moraDetails": [
{
"fromDay": 123,
"untilDay": 123,
"percentage": "<string>",
"daysToApply": 123,
"interestCalculated": "<string>",
"interestType": "FIXED",
"itemId": 123,
"configId": 123,
"baseAmount": "<string>"
}
]
}
],
"invoices": [
{
"id": 123,
"totalAmount": "<string>",
"totalPaid": "<string>",
"totalPending": "<string>",
"totalMora": "<string>",
"interestPaid": "<string>",
"interestSnapshot": "<string>",
"interestSnapshotDate": "<string>",
"status": "DRAFT",
"description": "<string>",
"date": "<string>",
"expirationDate": "<string>",
"settlement": {
"id": 123,
"name": "<string>",
"sentDate": "<string>",
"status": "DRAFT"
},
"lastPaymentDate": "<string>",
"uniqueId": "<string>",
"applyInterest": true,
"externalReference": "<string>",
"currency": "ARS",
"paymentMethod": "<string>",
"isManualPayment": true
}
],
"files": [
{
"id": 123,
"createdAt": "<string>",
"url": "<string>"
}
],
"notes": [
{
"id": 123,
"createdAt": "<string>",
"note": "<string>",
"user": {
"id": 123,
"name": "<string>",
"lastName": "<string>"
},
"apiKey": {
"id": 123,
"name": "<string>"
}
}
],
"teachableCourses": [
{
"id": 123,
"name": "<string>",
"expiresAt": "<string>",
"status": "ENROLLED",
"teachableCourseId": 123
}
]
}{
"message": "Contact not found"
}Obtener contacto por ID
Obtener detalles de contacto por ID
GET
/
contact
/
:contactId
Obtener contacto por ID
Authorizations
Path Parameters
Response
Contacto recuperado con éxito por ID
Available options:
DNI, CUIT, CUIL, CDI, LE, LC, CI Extranjera, Pasaporte, CI Policía Federal, Certificado de Migración, RUT, Otro Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACCOUNT_OPENED, NOT_DUE, PAST_DUE, ACCOUNT_SETTLED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes